#Region "Copyright Syncfusion Inc. 2001 - 2006"
'
'  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region

Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data

Imports Syncfusion.Windows.Forms.Chart


Namespace ChartExportImage
    '/ <summary>
    '/ Summary description for Form1.
    '/ </summary>
    
    Public Class Form1
        Inherits System.Windows.Forms.Form
        Private chartControl1 As Syncfusion.Windows.Forms.Chart.ChartControl
        Private WithEvents button1 As System.Windows.Forms.Button
        Private textBox1 As System.Windows.Forms.TextBox
        Private imageLocation As String
        Private WithEvents btnbutton2 As System.Windows.Forms.Button
        Private WithEvents btnbutton1 As System.Windows.Forms.Button
        Private statusBar1 As System.Windows.Forms.StatusBar
        
        '/ <summary>
        '/ Required designer variable.
        '/ </summary>
        Private components As System.ComponentModel.Container = Nothing
        
        
        Public Sub New()
            '
            ' Required for Windows Form Designer support
            '
            InitializeComponent()
InitializeControlSettings()

        End Sub 'New
         
        '
        ' TODO: Add any constructor code after InitializeComponent call
        '
        
        '/ <summary>
        '/ Clean up any resources being used.
        '/ </summary>
        Protected Overrides Sub Dispose(disposing As Boolean)
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub 'Dispose
        
        		Private Sub InitializeControlSettings()
        ' Specify a ChartPalette:
        Dim colorarray() As Color = New Color() {Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30)}

        Me.chartControl1.Palette = ChartColorPalette.Custom
        Me.chartControl1.Model.ColorModel.CustomColors = colorarray
        Me.chartControl1.Palette = ChartColorPalette.Custom

        Me.chartControl1.ChartInterior = New Syncfusion.Drawing.BrushInfo(185, New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure))
        Me.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Top
        Me.chartControl1.ChartArea.HidePartialLabels = True
    End Sub

#Region "Windows Form Designer generated code"
        
        '/ <summary>
        '/ Required method for Designer support - do not modify
        '/ the contents of this method with the code editor.
        '/ </summary>
        Friend WithEvents Panel1 As System.Windows.Forms.Panel
        Private Sub InitializeComponent()
            Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
            Me.chartControl1 = New Syncfusion.Windows.Forms.Chart.ChartControl()
            Me.button1 = New System.Windows.Forms.Button()
            Me.textBox1 = New System.Windows.Forms.TextBox()
            Me.btnbutton2 = New System.Windows.Forms.Button()
            Me.btnbutton1 = New System.Windows.Forms.Button()
            Me.statusBar1 = New System.Windows.Forms.StatusBar()
            Me.Panel1 = New System.Windows.Forms.Panel()
            Me.Panel1.SuspendLayout()
            Me.SuspendLayout()
            '
            'chartControl1
            '
            Me.chartControl1.Anchor = ((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) _
                        Or System.Windows.Forms.AnchorStyles.Right)
            Me.chartControl1.ChartInterior = New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Horizontal, System.Drawing.Color.White, System.Drawing.Color.White)
            Me.chartControl1.Controls.AddRange(New System.Windows.Forms.Control() {Me.chartControl1.Legend})
            '
            'chartControl1.Legend
            '
            Me.chartControl1.Legend.Location = New System.Drawing.Point(466, 137)
            Me.chartControl1.Legend.TabIndex = 3
            Me.chartControl1.Name = "chartControl1"
            Me.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal
            Me.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m"
            Me.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m"
            Me.chartControl1.Size = New System.Drawing.Size(552, 264)
            Me.chartControl1.TabIndex = 0
            Me.chartControl1.Text = "Essential Chart"
            Me.chartControl1.ToolBar.Location = New System.Drawing.Point(0, 0)
            Me.chartControl1.ZoomOutIncrement = 1.5
            '
            'button1
            '
            Me.button1.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.button1.Location = New System.Drawing.Point(8, 48)
            Me.button1.Name = "button1"
            Me.button1.Size = New System.Drawing.Size(136, 24)
            Me.button1.TabIndex = 1
            Me.button1.Text = "Export Image"
            '
            'textBox1
            '
            Me.textBox1.Location = New System.Drawing.Point(16, 16)
            Me.textBox1.Name = "textBox1"
            Me.textBox1.Size = New System.Drawing.Size(504, 20)
            Me.textBox1.TabIndex = 2
            Me.textBox1.Text = "textBox1"
            '
            'btnbutton2
            '
            Me.btnbutton2.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.btnbutton2.Location = New System.Drawing.Point(200, 48)
            Me.btnbutton2.Name = "btnbutton2"
            Me.btnbutton2.Size = New System.Drawing.Size(136, 24)
            Me.btnbutton2.TabIndex = 3
            Me.btnbutton2.Text = "View Image"
            '
            'btnbutton1
            '
            Me.btnbutton1.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.btnbutton1.Location = New System.Drawing.Point(392, 48)
            Me.btnbutton1.Name = "btnbutton1"
            Me.btnbutton1.Size = New System.Drawing.Size(136, 24)
            Me.btnbutton1.TabIndex = 4
            Me.btnbutton1.Text = "Close"
            '
            'statusBar1
            '
            Me.statusBar1.Location = New System.Drawing.Point(0, 342)
            Me.statusBar1.Name = "statusBar1"
            Me.statusBar1.Size = New System.Drawing.Size(552, 32)
            Me.statusBar1.SizingGrip = False
            Me.statusBar1.TabIndex = 5
            Me.statusBar1.Text = "Ready"
            '
            'Panel1
            '
            Me.Panel1.BackColor = System.Drawing.SystemColors.ControlLightLight
            Me.Panel1.Controls.AddRange(New System.Windows.Forms.Control() {Me.button1, Me.btnbutton2, Me.btnbutton1, Me.textBox1})
            Me.Panel1.Location = New System.Drawing.Point(0, 264)
            Me.Panel1.Name = "Panel1"
            Me.Panel1.Size = New System.Drawing.Size(552, 80)
            Me.Panel1.TabIndex = 6
            '
            'Form1
            '
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.ClientSize = New System.Drawing.Size(552, 374)
            Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Panel1, Me.statusBar1, Me.chartControl1})
            Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
            Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
            Me.MaximizeBox = False
            Me.Name = "Form1"
            Me.Text = "Essential Chart - Export as Image"
            Me.Panel1.ResumeLayout(False)
            Me.ResumeLayout(False)

        End Sub 'InitializeComponent 
#End Region
        
        
        '/ <summary>
        '/ The main entry point for the application.
        '/ </summary>
        <STAThread()>  _
        Shared Sub Main()
            Application.Run(New Form1())
        End Sub 'Main
        
        
        Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
            InitializeChartData()
            imageLocation = Application.ExecutablePath
            imageLocation = imageLocation.Substring(0, imageLocation.LastIndexOf("\")) + "\image.bmp"
            Me.textBox1.Text = imageLocation
            
            Me.chartControl1.Legend.ShowBorder = False
            Me.chartControl1.Legend.Visible = False
        End Sub 'Form1_Load
         
        
        Protected Sub InitializeChartData()
            Dim series1 As ChartSeries = Me.chartControl1.Model.NewSeries(" Series 0", ChartSeriesType.Column)
            series1.Text = series1.Name

            series1.Points.Add(1, 256)
            series1.Points.Add(2, 491)
            series1.Points.Add(3, 382)
            series1.Points.Add(4, 437)
            series1.Points.Add(5, 321)

            series1.Points.Add(6, 234)
            series1.Points.Add(7, 425)
            series1.Points.Add(8, 257)
            series1.Points.Add(9, 382)
            series1.Points.Add(10, 296)
           
            Me.chartControl1.Series.Add(series1)
            Me.chartControl1.Text = ""

        End Sub 'InitializeChartData
        
        
        Private Sub btnbutton1_Click(sender As Object, e As System.EventArgs) Handles btnbutton1.Click
            Application.Exit()
        End Sub 'btnbutton1_Click
        
        
        Private Sub btnbutton2_Click(sender As Object, e As System.EventArgs) Handles btnbutton2.Click
            Try
                System.Diagnostics.Process.Start(Me.textBox1.Text)
            Catch
            End Try
        End Sub 'btnbutton2_Click
        
        
        Private Sub button1_Click(sender As Object, e As System.EventArgs) Handles button1.Click
            Try
                Dim img = New Bitmap(Me.chartControl1.Width, Me.chartControl1.Height)
                Me.chartControl1.Draw(img)
                img.Save(Me.textBox1.Text)
            Catch ex As Exception
                Me.statusBar1.Text = "Image save failed " + ex.ToString()
                Return
            End Try
            
            Me.statusBar1.Text = "Image save succeeded."
        End Sub 'button1_Click
    End Class 'Form1
End Namespace 'ChartExportImage